<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [upgradeCore](./bitburner.hacknet.upgradecore.md)

## Hacknet.upgradeCore() method

Upgrade the core of a hacknet node.

<b>Signature:</b>

```typescript
upgradeCore(index: number, n: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  index | number | Index/Identifier of Hacknet Node. |
|  n | number | Number of cores to purchase. Must be positive. Rounded to nearest integer. |

<b>Returns:</b>

boolean

True if the Hacknet Node’s cores are successfully purchased, false otherwise.

## Remarks

RAM cost: 0 GB

Tries to purchase n cores for the specified Hacknet Node.

Returns true if it successfully purchases n cores for the Hacknet Node or if it purchases some positive amount and the Node reaches its max number of cores.

Returns false otherwise.

